#pragma once
#include <string>

class Building{
    protected:
        int constructionYear;
    public:
        ~Building()=default;
        int getConstructionYear(){return constructionYear;};
        virtual bool mustBeRestored()=0;
        virtual bool canBeDemolished()=0;
        virtual std::string toString()=0;
    
};